Subject: bug#23957: [PATCH] Make fboundp an alias for symbol-function

From: Robert Cochran <[email-masked]>
Date: Tue, 12 Jul 2016 22:35:08 -0700

Stefan Monnier <[email-masked]> writes:

> I expect 99% of the uses of fboundp don't care about the distinction
> between t and other non-nil values.  And at least 90% of the remaining
> 1% is probably ill-advised to rely on this distinction.  But the benefit
> of redefining fboundp as an alias rather than as its own function is
> probably too small to justify risking such breakage.

So then, is it generally agreed upon that I submit a new patch that
merely strips the FIXME, or does this need more discussion? Trying to
make sure I'm not jumping the gun by confirming before I do so.

Thanks,
~Robert Cochran